Skip to main content
GET
/
counterparties
List Counterparties
curl --request GET \
  --url https://api.otim.com/v0/counterparties \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "cpty_01JA1B2C3D4E5F6G7H8J9K0L",
      "entityId": "ent_01JA1B2C3D4E5F6G7H8J9K0L",
      "name": "Acme Corp",
      "type": "bank_account",
      "bankName": "Chase",
      "accountNumber": "****6789",
      "routingNumber": "021000021",
      "walletAddress": "0x1234567890abcdef1234567890abcdef12345678",
      "chain": "base",
      "createdAt": "2025-01-15T12:00:00Z"
    }
  ],
  "hasMore": true,
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

API key prefixed with sk_.

Query Parameters

entityId
string

Filter Counterparties by Entity ID.

cursor
string

Pagination cursor from a previous response.

limit
integer
default:50

Number of items to return.

Required range: x <= 100

Response

A paginated list of Counterparties.

data
object[]
hasMore
boolean
nextCursor
string | null